DOMDocument::__construct
DOMDocument::createAttributeNS
DOMDocument
PHP Manual

# DOMDocument::createAttribute

(PHP 5)

DOMDocument::createAttribute — Create new attribute

### Description

DOMAttr DOMDocument::createAttribute ( string `$name` )

This function creates a new instance of class DOMAttr. This node will not show up in the document unless it is inserted with (e.g.) DOMNode->appendChild().

### Parameters

`name`

  The name of the attribute.

### Return Values

The new DOMAttr or `FALSE` if an error occured.

### Errors/Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if `name` contains an invalid character.

### See Also

- DOMNode::appendChild - Adds new child at the end of the children
- DOMDocument::createAttributeNS - Create new attribute node with an associated namespace
- DOMDocument::createCDATASection - Create new cdata node
- DOMDocument::createComment - Create new comment node
- DOMDocument::createDocumentFragment - Create new document fragment
- DOMDocument::createElement - Create new element node
- DOMDocument::createElementNS - Create new element node with an associated namespace
- DOMDocument::createEntityReference - Create new entity reference node
- DOMDocument::createProcessingInstruction - Creates new PI node
- DOMDocument::createTextNode - Create new text node

DOMDocument::__construct
DOMDocument::createAttributeNS
DOMDocument
PHP Manual